## org.junit.rules
Class TemporaryFolder.Builder

    java.lang.Object
      org.junit.rules.TemporaryFolder.Builder

Enclosing class:
  TemporaryFolder

    public static class TemporaryFolder.Builder

extends Object

Builds an instance of `TemporaryFolder`.

Since:
  4.13

Constructor Summary
`protected` `TemporaryFolder.Builder()`

Method Summary
`TemporaryFolder.Builder` `assureDeletion()` Setting this flag assures that no resources are left undeleted.
`TemporaryFolder` `build()` Builds a `TemporaryFolder` instance using the values in this builder.
`TemporaryFolder.Builder` `parentFolder(File parentFolder)` Specifies which folder to use for creating temporary resources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemporaryFolder.Builder

    protected TemporaryFolder.Builder()

Method Detail

### parentFolder

    public TemporaryFolder.Builder parentFolder(File parentFolder)

  Specifies which folder to use for creating temporary resources. If `null` then system default temporary-file directory is used.

  Returns:
    this

### assureDeletion

    public TemporaryFolder.Builder assureDeletion()

  Setting this flag assures that no resources are left undeleted. Failure to fulfill the assurance results in failure of tests with an `AssertionError`.

  Returns:
    this

### build

    public TemporaryFolder build()

  Builds a `TemporaryFolder` instance using the values in this builder.

Copyright © 2002–2020 JUnit. All rights reserved.